import "package:unittest/unittest.dart";
import "package:zero_padding/zero_padding.dart";

void main() {

  test("zeroPadding(1, 3) give \"001\"", () {
    expect(zeroPadding(1, 3), equals("001"));
  });

  test("zeroPadding(1.0, 5) gives \"001.0\"", () {
    expect(zeroPadding(1.0, 5), equals("001.0"));
  });

  test("zeroPadding(100, 3) gives \"100\"", () {
    expect(zeroPadding(100, 3), equals("100"));
  });

  test("zeroPadding(10000, 3) gives \"10000\"", () {
    expect(zeroPadding(10000, 3), equals("10000"));
  });
}